Bug 7737 - Use of date filters on bookseller pages
Summary: Use of date filters on bookseller pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Adrien SAURAT
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7444
  Show dependency treegraph
 
Reported: 2012-03-19 13:54 UTC by Adrien SAURAT
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch #1 (4.89 KB, patch)
2012-03-19 13:59 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 7737: use of date filter on bookseller pages (4.93 KB, patch)
2012-03-20 10:39 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7737: use of date filter on bookseller pages (4.98 KB, patch)
2012-03-20 15:28 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7737: use of date filter on bookseller pages (4.98 KB, patch)
2012-03-20 16:16 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7737: use of date filter on bookseller pages (4.98 KB, patch)
2012-03-20 16:41 UTC, Marc Véron
Details | Diff | Splinter Review
proposed patch #2 (5.02 KB, patch)
2012-03-22 09:21 UTC, Adrien SAURAT
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-03-19 13:54:34 UTC
Related to bug 7444.
--
Pages bookseller.pl and supplier.pl display dates. They are now using the format_date function and should use the KohaDates filter instead.
--
TEST PLAN
Dates displayed on bookseller.pl :
The dates are related to baskets. If you don't see them, create a new basket for a vendor, and then close it. Two dates then appear: the creation date in the "Date" column and a text like "closed on 02/01/2012" in the last column.

Dates displayed on supplier.pl :
If the vendor has no contrac, add one with a starting and an ending date. The supplier.pl page will then display those dates.
Comment 1 Adrien SAURAT 2012-03-19 13:59:51 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-03-20 10:39:05 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2012-03-20 10:46:40 UTC
I tested with Adrien's Test Plan. Date format changed as appropriate using I18N/L10N preferences->dateformat property.
Comment 4 Marc Véron 2012-03-20 14:11:35 UTC
It seems that I did not sign of properly. Set status back tu Ned Signoff
Comment 5 Marc Véron 2012-03-20 15:28:28 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2012-03-20 16:16:39 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2012-03-20 16:41:45 UTC Comment hidden (obsolete)
Comment 8 Paul Poulain 2012-03-22 05:19:59 UTC
patch does not apply anymore and solving the conflicts is not trivial, please rebase & resubmit
Comment 9 Adrien SAURAT 2012-03-22 09:21:24 UTC
Created attachment 8470 [details] [review]
proposed patch #2

Resolved conflicts.
Comment 10 Ian Walls 2012-03-22 13:20:16 UTC
Safely implements KohaDates on these two pages, and removes the C4::Dates dependency.  Passed QA.